<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderButton.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderButton_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderButton.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderButton_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderButton_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; <span class="keyword">protected</span>:</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">   19</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pNextButton;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="classButtonsCommanderButton.html#afd8cb1a2b76510830062c5656bda0728">ButtonsCommanderButton</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">   30</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">GetId</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a>; }</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">   35</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>* <a class="code" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">GetFromId</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId) { <span class="keywordflow">if</span> (this-&gt;Id == inId) <span class="keywordflow">return</span> <span class="keyword">this</span>; <span class="keywordflow">return</span> NULL; }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">   40</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">GetPosition</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> 0; }</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">   44</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">beforeFirstLoop</a>() { }</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">   46</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">loop</a>()</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    { </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <a class="code" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a>);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a>(0);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">   53</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">EndLoop</a>() {}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">   58</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">SetNextButton</a>(<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *inpButton) { this-&gt;pNextButton = inpButton; }</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">   62</a></span>&#160;    <span class="keyword">inline</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pNextButton; }</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> printCommander() {}</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;};</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderButton_html_a0dac1c9fcdc5bbe1d2b00a38192f555c"><div class="ttname"><a href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">ButtonsCommanderButton::GetNextButton</a></div><div class="ttdeci">ButtonsCommanderButton * GetNextButton() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00062">ButtonsCommanderButton.hpp:62</a></div></div>
<div class="ttc" id="classCommanders_html_ac0885243a075244f75612900460d40ab"><div class="ttname"><a href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a></div><div class="ttdeci">static void SetLastEventData(int inData)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00093">Commanders.hpp:93</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00027">Events.h:27</a></div></div>
<div class="ttc" id="Events_8h_html_a48ad4dd16b8e22f2c8bc92b154479e92"><div class="ttname"><a href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a></div><div class="ttdeci">#define UNDEFINED_ID</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00038">Events.h:38</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a44bbb289ce1f64b42a88126e8dd42f7e"><div class="ttname"><a href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">ButtonsCommanderButton::loop</a></div><div class="ttdeci">virtual unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00046">ButtonsCommanderButton.hpp:46</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a823f11a7de3a5a01d0c076f7d5b4fae0"><div class="ttname"><a href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">ButtonsCommanderButton::GetPosition</a></div><div class="ttdeci">virtual int GetPosition() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00040">ButtonsCommanderButton.hpp:40</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a1ab1295abfbfafef48d38a8795fb0be7"><div class="ttname"><a href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">ButtonsCommanderButton::GetFromId</a></div><div class="ttdeci">virtual ButtonsCommanderButton * GetFromId(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00035">ButtonsCommanderButton.hpp:35</a></div></div>
<div class="ttc" id="classCommanders_html_a5805415d6f7e358f1b26b34e59fe89ac"><div class="ttname"><a href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a></div><div class="ttdeci">static void SetLastEventType(COMMANDERS_EVENT_TYPE inEvent)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00089">Commanders.hpp:89</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_acbdd1d63fed7736c7358105428fbfd9c"><div class="ttname"><a href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">ButtonsCommanderButton::GetId</a></div><div class="ttdeci">unsigned long GetId() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00030">ButtonsCommanderButton.hpp:30</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_ae1f260c75fbe475f674107bdc96f26cd"><div class="ttname"><a href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">ButtonsCommanderButton::beforeFirstLoop</a></div><div class="ttdeci">virtual void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00044">ButtonsCommanderButton.hpp:44</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_afd8cb1a2b76510830062c5656bda0728"><div class="ttname"><a href="classButtonsCommanderButton.html#afd8cb1a2b76510830062c5656bda0728">ButtonsCommanderButton::ButtonsCommanderButton</a></div><div class="ttdeci">ButtonsCommanderButton(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8cpp_source.html#l00010">ButtonsCommanderButton.cpp:10</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a270eade0db966b7e72b6dc5462377593"><div class="ttname"><a href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">ButtonsCommanderButton::EndLoop</a></div><div class="ttdeci">virtual void EndLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00053">ButtonsCommanderButton.hpp:53</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a3b40667770ab04694a2ea85f11aebfe0"><div class="ttname"><a href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">ButtonsCommanderButton::Id</a></div><div class="ttdeci">unsigned long Id</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00019">ButtonsCommanderButton.hpp:19</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a7fa0ef8aede172936672b384f81b03bb"><div class="ttname"><a href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">ButtonsCommanderButton::SetNextButton</a></div><div class="ttdeci">void SetNextButton(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00058">ButtonsCommanderButton.hpp:58</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderButton.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
